Bug 1733748 - Remove cinder credentials from Cinder python help
Summary: Remove cinder credentials from Cinder python help
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-cinderclient
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Eric Harney
QA Contact: Tzach Shefi
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-28 10:56 UTC by Tzach Shefi
Modified: 2019-07-31 16:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 02:15:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tzach Shefi 2019-07-28 10:56:12 UTC
Description of problem: Cinder --help still lists cinder credentials as a valid command. As this command has already been deprecated we should cleanup cinder client's --help as well.  

$ cinder credentials
/usr/lib/python3.6/site-packages/cinderclient/v2/shell.py:940: UserWarning: ``cinder credentials`` is deprecated, use ``openstack token issue`` indead.
  "``cinder credentials`` is deprecated, use ``openstack token issue`` "


Version-Release number of selected component (if applicable):
puppet-cinder-14.4.1-0.20190420083336.1cf0604.el8ost.noarch
python3-cinderclient-4.2.0-0.20190520060354.953243d.el8ost.noarch


How reproducible:
Every time

Steps to Reproduce:
1. Issue cinder --help see cinder credentials command.   

2. Try to issue a cinder credentials get above error. 

3.

Actual results:
Fail to run a deprecated command, which is fine.


Expected results:
Cinder help shouldn't list deprecated commands once they were removed. 

Additional info:

Comment 1 Alan Bishop 2019-07-30 02:15:34 UTC
The cinder community needs to decide on when the deprecated v2 API will be removed. Until then, this bz behavior may be annoying, but doesn't cause a problem.

Comment 2 Eric Harney 2019-07-31 16:13:00 UTC
FWIW, this is on the list for the next major version bump of cinderclient:

https://review.opendev.org/#/c/653841/


Note You need to log in before you can comment on or make changes to this bug.